import request from '@/config/axios'

export const getPage = async (params) => {
  return await request.get({ url: '/model/matlab/project/page', params })
}

export const getProject = async (id: number) => {
  return await request.get({ url: '/model/matlab/project/' + id })
}

export const createProject = async (data) => {
  return await request.post({ url: '/model/matlab/project', data: data })
}

export const updateProject = async (params) => {
  return await request.put({ url: '/model/matlab/project', data: params })
}

export const deleteProject = async (id: number) => {
  return await request.delete({ url: '/model/matlab/project?id=' + id })
}

export const list = () => {
  return request.get({ url: '/model/packageProject/project/list'})
}

export const getProjectModel = async (params) => {
  return await request.get({ url: '/model/matlab/project/getProjectModel', params })
}

export const publish = async (data) => {
  return await request.post({ url: '/model/matlab/project/publish', data })
}
